L4Linux and virtualization

Adam Lackorzynski adam at os.inf.tu-dresden.de
Tue Nov 14 19:54:11 CET 2006


just to answer the first bit as Björn already did the other ones.

On Mon Nov 13, 2006 at 17:16:15 -0800, Robert Gubler wrote:
> I'd like to run two L4Linux 2.4 based kernels and one L4Linux 2.6 based
> kernel.  Is this something that can be achieved relatively easily or would
> all running kernels need to be 2.6/2.4?

This is well possible theoretically and even worked in the past when
L4Linux-2.6 was still a chick, but L4Linux-2.4 is unmaintained for some
time now and won't work with any current environment. There are no
substantial problems fixing this, except no one will do it probably. So
the practical answer to your question is: no.

Adam                 adam at os.inf.tu-dresden.de
  Lackorzynski         http://os.inf.tu-dresden.de/~adam/

More information about the l4-hackers mailing list